petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetSubdomainCornersIS

Gets an index set containing the corner indices (in local coordinates) of the non-overlapping decomposition identified by DMDAGetElements

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetSubdomainCornersIS(DM dm,IS *is)

Not Collective

### Input Parameter

dm -the DM object

### Output Parameters

is -the index set

### Notes

Call DMDARestoreSubdomainCornersIS() once you have finished accessing the index set.

### See Also

DMDAElementType, DMDASetElementType(), DMDAGetElements(), DMDARestoreElementsCornersIS()

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages